Problem specifying version number of Nuget package in TC 6.5.5

I'm new to TeamCity and am trying to create a "Nuget Packages Pack" task. I want to hard code the version of my package but TeamCity won't accept any unparameterized value in this field. For example, values like "0.4.0.126" and "1.0.0.0" get rejected with the message "Version must be NuGet version format, i.e. 1.2.3 or 5.4.3.2" but a value of "1.0.0.%build.number%" gets saved successfully.

How canI just hard code the version number?



Attachment(s):
VersionWTF.png
1 comment
Comment actions Permalink

Please vote for http://youtrack.jetbrains.net/issue/TW-19682. The issue was fixed there and the patch is avaiable.

0

Please sign in to leave a comment.